/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.EntregaPremios;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface EntregaPremiosFacadeLocal {

    void create(EntregaPremios entregaPremios);

    void edit(EntregaPremios entregaPremios);

    void remove(EntregaPremios entregaPremios);

    EntregaPremios find(Object id);

    List<EntregaPremios> findAll();

    List<EntregaPremios> findRange(int[] range);

    int count();

    String vereificaPremio(String consultorCodigo, String programaCodigo);


}
